OracleVM 3.3 / 3.4 : openjpeg (OVMSA-2017-0048)

High Nessus Plugin ID 97908

Synopsis

The remote OracleVM host is missing a security update.

Description

The remote OracleVM system is missing necessary patches to address critical security updates :

- Revert previous changes in patch for (CVE-2016-5159)

- Fix double free in patch for (CVE-2016-5139)

- Fix memory leaks and invalid read in cio_bytein Related:
#1419775

- Add two more allocation checks to patch for (CVE-2016-5159) Related: #1419775

- Add patches for CVE-2016-5139, CVE-2016-5158, (CVE-2016-5159) Related: #1419775

- Fix patch name: CVE-2016-9675 => (CVE-2016-7163) Related: #1419775

- Add patch for (CVE-2016-9675)

- Fix Coverity issues Resolves: #1419775

Solution

Update the affected openjpeg-libs package.

See Also

http://www.nessus.org/u?d0889d16

http://www.nessus.org/u?8fc7ae70

Plugin Details

Severity: High

ID: 97908

File Name: oraclevm_OVMSA-2017-0048.nasl

Version: 3.4

Type: local

Published: 2017/03/23

Updated: 2019/09/27

Dependencies: 12634

Risk Information

Risk Factor: High

CVSS v2.0

Base Score: 7.5

Temporal Score: 5.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:U/RL:OF/RC:C

CVSS v3.0

Base Score: 8.8

Temporal Score: 7.7

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

Temporal Vector: CVSS:3.0/E:U/RL:O/RC:C

Vulnerability Information

CPE: p-cpe:/a:oracle:vm:openjpeg-libs, cpe:/o:oracle:vm_server:3.3, cpe:/o:oracle:vm_server:3.4

Required KB Items: Host/local_checks_enabled, Host/OracleVM/release, Host/OracleVM/rpm-list

Exploit Available: false

Exploit Ease: No known exploits are available

Patch Publication Date: 2017/03/22

Vulnerability Publication Date: 2013/12/12

Reference Information

CVE: CVE-2013-1447, CVE-2013-6045, CVE-2013-6052, CVE-2013-6054, CVE-2016-5139, CVE-2016-5158, CVE-2016-5159, CVE-2016-7163, CVE-2016-9675

BID: 64109, 64113, 64118, 64142